QDBM for C++: qdbm::Depot_error Class Reference

- Main Page
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

# qdbm::Depot_error Class Reference

Inheritance diagram for qdbm::Depot_error:

List of all members.

## Detailed Description

Error container for Depot.

## Public Member Functions
| Depot_error () throw ()
| Create an instance.
| Depot_error (int ecode) throw ()
| Create an instance.
| Depot_error (const Depot_error &de) throw ()
| Copy constructor.
virtual | ~Depot_error () throw ()
| Release resources of the instance.
Depot_error & | operator= (const Depot_error &de) throw ()
| Assignment operator.
Depot_error & | operator= (int ecode) throw ()
| Assignment operator.
virtual bool | operator== (const Depot_error &de) const throw ()
| Equality operator.
virtual bool | operator!= (const Depot_error &de) const throw ()
| Inequality operator.
virtual bool | operator== (int ecode) const throw ()
| Equality operator.
virtual bool | operator!= (int ecode) const throw ()
| Inequality operator.
virtual | operator const char * () const throw ()
| Cast operator into pointer to char.
virtual int | code () const throw ()
| Get the error code.
virtual const char * | message () const throw ()
| Get the error message.

## Constructor & Destructor Documentation

qdbm::Depot_error::Depot_error | ( | int | ecode | ) | throw ()

Create an instance.

Parameters:

  | ecode | the error code.

qdbm::Depot_error::Depot_error | ( | const Depot_error & | de | ) | throw ()

Copy constructor.

Parameters:

  | de | a source instance.

## Member Function Documentation

Depot_error& qdbm::Depot_error::operator= | ( | const Depot_error & | de | ) | throw ()

Assignment operator.

Parameters:

  | de | a source instance.

Returns:
  reference to itself.

Depot_error& qdbm::Depot_error::operator= | ( | int | ecode | ) | throw ()

Assignment operator.

Parameters:

  | ecode | the error code.

Returns:
  reference to itself.

virtual bool qdbm::Depot_error::operator== | ( | const Depot_error & | de | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  | de | a comparing instance.

Returns:
  true if both equal, else, false.

virtual bool qdbm::Depot_error::operator!= | ( | const Depot_error & | de | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  | de | a comparing instance.

Returns:
  true if both do not equal, else, false.

virtual bool qdbm::Depot_error::operator== | ( | int | ecode | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  | ecode | a comparing error code.

Returns:
  true if both equal, else, false.

virtual bool qdbm::Depot_error::operator!= | ( | int | ecode | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  | ecode | a comparing error code.

Returns:
  true if both do not equal, else, false.

virtual qdbm::Depot_error::operator const char * | ( |  | ) | const throw ()`[virtual]`

Cast operator into pointer to char.

Returns:
  the pointer to the string.

Reimplemented from qdbm::DBM_error.

virtual int qdbm::Depot_error::code | ( |  | ) | const throw ()`[virtual]`

Get the error code.

Returns:
  the error code.

virtual const char* qdbm::Depot_error::message | ( |  | ) | const throw ()`[virtual]`

Get the error message.

Returns:
  the pointer to the string.

Reimplemented from qdbm::DBM_error.

The documentation for this class was generated from the following file:

- xdepot.h